
QGIS Application - Bug report #8911

Table is not updated after field calculator when configured with a "field relation"

2013-10-18 05:58 PM - George Rodrigues da Cunha Silva

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 17587

Description

Environment:

    -  ubuntu 13.01;

    -  qgis 2.0;

    -  installed from ppa;

    -  PostGIS 2.0;

    -  PostgreSQL 9.1;

Scenario:

I added a layer to my map and I configured one of the fields to map to another table (also added to the map).

I executed a field calculation on this field, and set the value accordingly (to it's ID, not it's display value).

The table does not refresh automatically. You need to close the table and reopen it so you can see the changes.

History

#1 - 2014-01-30 11:34 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#2 - 2014-07-28 06:51 PM - John Floyd -

Related or same issue,

Update an existing attribute via the calulator and the displayed table does not change but on save the layer does change (the attribute table still does not

change after the save - has old values in it).  Noticed the layer change because I had a label set to the attribute.  Close edit and open edit - values are

correct.

This is in version 2.4 - seems high priority is not so high at the moment.

#3 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2018-03-01 12:28 PM - Giovanni Manghi

- Status changed from Open to Feedback
Please test with a recent QGIS release (2.18 or 3), if the issue/request is still valid change the affected version accordingly, if is fixed/implemented then

close the ticket. Thanks!

#5 - 2019-02-23 08:36 PM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to no timely feedback

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
